Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.binding
Class AbstractBinding

    java.lang.Object
      weblogic.webservice.binding.AbstractBinding

All Implemented Interfaces:
  Binding

Direct Known Subclasses:
  weblogic.webservice.binding.soap.HttpClientBinding

Deprecated. please migrate to jws for webservices

    public abstract class AbstractBinding

extends Object
implements Binding

Field Summary
`static int` | `CLIENT_SIDE` Deprecated.
`static int` | `SERVER_SIDE` Deprecated.

Constructor Summary
`AbstractBinding()` Deprecated.

Method Summary
`BindingInfo` | `getBindingInfo()` Deprecated. Returns the binding information.
`String` | `getDestination()` Deprecated. Returns the destination of the request.
`String` | `getReplyTo()` Deprecated. Returns the address to which to send the response.
`String` | `getSender()` Deprecated. Returns the address of the sender.
`boolean` | `isClientSide()` Deprecated.
`boolean` | `isServerSide()` Deprecated.
`protected void` | `setBindingInfo(BindingInfo bindingInfo)` Deprecated.
`void` | `setClientSide()` Deprecated.
`void` | `setDestination(String destination)` Deprecated. Sets the destination of the request
`void` | `setReplyTo(String replyTo)` Deprecated. Sets the address to which to send the response.
`void` | `setSender(String sender)` Deprecated. Sets the address of the sender.
`void` | `setServerSide()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface weblogic.webservice.binding.Binding
`init, receive, send`

Field Detail

### CLIENT_SIDE

    public static final int CLIENT_SIDE

  Deprecated.
  See Also:
    Constant Field Values

### SERVER_SIDE

    public static final int SERVER_SIDE

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### AbstractBinding

    public AbstractBinding()

  Deprecated.

Method Detail

### setServerSide

    public void setServerSide()

  Deprecated.

### setClientSide

    public void setClientSide()

  Deprecated.

### isServerSide

    public boolean isServerSide()

  Deprecated.

### isClientSide

    public boolean isClientSide()

  Deprecated.

### getReplyTo

    public String getReplyTo()

  Deprecated.
  Description copied from interface: `Binding`
  Returns the address to which to send the response. This is used only for asynchronous calls.

  Specified by:
    `getReplyTo` in interface `Binding`
  Returns:
    address to sent response (eg: from@yahoo.com)

### setReplyTo

    public void setReplyTo(String replyTo)

  Deprecated.
  Description copied from interface: `Binding`
  Sets the address to which to send the response.

  Specified by:
    `setReplyTo` in interface `Binding`
  Parameters:
    `replyTo` - address to sent response

### getSender

    public String getSender()

  Deprecated.
  Description copied from interface: `Binding`
  Returns the address of the sender.

  Specified by:
    `getSender` in interface `Binding`
  Returns:
    address of the sender

### setSender

    public void setSender(String sender)

  Deprecated.
  Description copied from interface: `Binding`
  Sets the address of the sender.

  Specified by:
    `setSender` in interface `Binding`
  Parameters:
    `sender` - address of the sender

### getDestination

    public String getDestination()

  Deprecated.
  Description copied from interface: `Binding`
  Returns the destination of the request.

  Specified by:
    `getDestination` in interface `Binding`
  Returns:
    destination address

### setDestination

    public void setDestination(String destination)

  Deprecated.
  Description copied from interface: `Binding`
  Sets the destination of the request

  Specified by:
    `setDestination` in interface `Binding`
  Parameters:
    `destination` - destination of the request

### setBindingInfo

    protected void setBindingInfo(BindingInfo bindingInfo)

  Deprecated.

### getBindingInfo

    public BindingInfo getBindingInfo()

  Deprecated.
  Description copied from interface: `Binding`
  Returns the binding information.

  Specified by:
    `getBindingInfo` in interface `Binding`
  Returns:
    binding information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD